<!DOCTYPE html>
<html
        lang="en"
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
        layout:decorate="~{layout2}"
>
<head>
    <meta charset="UTF-8" />
    <title>Realisasi Pengeluaran Terkait</title>
</head>
<body>
<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar_finance::sidebar_finance" th:remove="tag"> sidebar </div>


    <main class="bd-main-xxl">
        <main class="bd-main-xxl">
            <div class="row">
                <div class="col-md-12">
                    <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                        Realisasi Pengeluaran Terkait
                    </div>
                </div>
            </div>

            <div class="alert alert-success" th:if="${success != null}">
                <h4>Save Data Success!</h4>

                <p>Data Berhasil Disimpan.</p>
            </div>

            <div class="alert alert-danger" th:if="${gagal != null}">
                <h4>Save Data Unsuccesfully!</h4>

                <p>
                    Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya.
                    hapus anggaran terlebih dahulu sebelum menghapus departemen ini..
                </p>
            </div>

            <form method="get">
                <div class="row">
                    <div class="col-md-6">
                        <!--            <h3 class="box-title">List of Budget Line</h3>-->
                        <p>
                            <a
                                    class="link-primary"
                                    th:href="@{/transaksi/pengeluaran_terkait/new(estimasiPendapatanTerkait=${estimasiPendapatanTerkait.getId()})}"
                                    role="button"
                            >Klik disini</a
                            >
                            jika anda ingin memasukan pengeluaran terkait baru.
                        </p>
                    </div>
                    <div class="col-md-6" align="right"></div>
                </div>
                <div class="row">
                    <div class="col-md-2">
                        Show <span sd:page-size-selector="javascript"></span>
                    </div>
                    <div class="col-md-10 text-end">
                        <a th:href="@{/transaksi/pendapatan_terkait}" class="btn btn-secondary">Back</a>
                    </div>

                </div>
                <br />
            </form>

            <div class="row">
                <div class="col-md-12">
                    <div class="tableFixHead">
                        <table class="table table-hover table-striped small">
                            <thead class="table-dark" style="--bs-table-bg: #15408d">
                            <tr>
                                <th scope="col" style="width: 10px">#</th>
                                <th scope="col">Instansi</th>
                                <th scope="col">Date</th>
                                <th scope="col">Keterangan</th>
                                <th scope="col">Qty</th>
                                <th scope="col">Nominal Satuan</th>
                                <th scope="col">Nominal Total</th>
                                <th scope="col">Status</th>
                                <th scope="col">Options</th>
                            </tr>
                            </thead>
                            <tbody class="align-middle">
                            <tr th:each="data, row : ${listPengeluaranTerkait}">
                                <td th:text="${(row.index + 1) + (listPengeluaranTerkait.number * listPengeluaranTerkait.size)}">1.</td>
                                <td th:text="${data.getEstimasiPendapatanTerkait().getInstansi().getNama()}">-</td>
                                <td th:text="${data.getTanggal()}">-</td>
                                <td th:text="${data.getDeskripsi()}">-</td>
                                <td th:text="${data.getJumlah() + ' ' + data.getSatuan()}">-</td>
                                <td th:text="${data.nominalSatuan}">-</td>
                                <td th:text="${data.getTotal()}">-</td>
                                <td>
                                    <a title="edit"
                                       th:href="@{/pengeluaran_terkait/{pengeluaranTerkait}/attachement/(pengeluaranTerkait = ${data.id})}"
                                       class="link-warning">Attachement
                                    </a>
                                </td>
                                <td class="text-center">
                                    <a title="edit"
                                       th:href="@{/transaksi/pengeluaran_terkait/edit(id = ${data.getId()})}"
                                       class="link-primary">Edit
                                    </a>
                                    &nbsp;
                                    <a title="edit"
                                       th:href="@{/transaksi/pengeluaran_terkait/delete(id = ${data.getId()})}"
                                       class="link-danger">Delete
                                    </a>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                    <br />

                    <nav aria-label="Page navigation example">
                        <ul class="pagination" sd:pagination="full"></ul>
                    </nav>
                </div>
            </div>
        </main>

    </main>
</main>
</body>
</html>